---
references:
- id: AxlerDeterminants1995
  author:
    - family: Axler
      given: Sheldon
  citation-key: AxlerDeterminants1995
  container-title: The American mathematical monthly
  DOI: 10.2307/2975348
  issue: '2'
  issued:
    - year: 1995
  page: 139-154
  title: Down with Determinants!
  type: article-journal
  URL: http://www.cs.berkeley.edu/~wkahan/MathH110/DownDets.pdf
  volume: '102'

- id: AxlerLinear2014
  author:
    - family: Axler
      given: Sheldon
  citation-key: AxlerLinear2014
  event-place: New York
  ISBN: 978-3-319-11079-0
  issued:
    - year: 2014
  publisher: Springer
  publisher-place: New York
  title: Linear algebra done right
  type: book
  URL: http://dx.doi.org/10.1007/978-3-319-11080-6

- id: BamiehTutorial2022
  accessed:
    - year: 2023
      month: 11
      day: 26
  author:
    - family: Bamieh
      given: Bassam
  citation-key: BamiehTutorial2022
  DOI: 10.48550/arXiv.2002.05001
  issued:
    - year: 2022
      month: 4
      day: 24
  number: arXiv:2002.05001
  publisher: arXiv
  title: A Tutorial on Matrix Perturbation Theory (using compact matrix notation)
  type: article
  URL: http://arxiv.org/abs/2002.05001

- id: CharlierKernel2021
  accessed:
    - year: 2022
      month: 9
      day: 28
  author:
    - family: Charlier
      given: Benjamin
    - family: Feydy
      given: Jean
    - family: Glaunès
      given: Joan Alexis
    - family: Collin
      given: François-David
    - family: Durif
      given: Ghislain
  citation-key: CharlierKernel2021
  container-title: Journal of Machine Learning Research
  ISSN: 1533-7928
  issue: '74'
  issued:
    - year: 2021
  page: 1-6
  title: Kernel Operations on the GPU, with Autodiff, without Memory Overflows
  type: article-journal
  URL: http://jmlr.org/papers/v22/20-275.html
  volume: '22'

- id: DahlehMatrix1990
  accessed:
    - year: 2023
      month: 11
      day: 26
  author:
    - family: Dahleh
      given: Mohammed
    - family: Dahleh
      given: Munther A.
    - family: Verghese
      given: George
  citation-key: DahlehMatrix1990
  container-title: Lectures on Dynamic Systems and Control
  issued:
    - year: 1990
      month: 6
  language: en
  page: '91'
  title: Matrix Perturbations
  type: chapter
  URL: >-
    https://ocw.mit.edu/courses/6-241j-dynamic-systems-and-control-spring-2011/855766ddb3a22777d5425518c0ad51d2_MIT6_241JS11_chap05.pdf
  volume: '20'

- id: DentonEigenvectors2022
  accessed:
    - year: 2024
      month: 1
      day: 26
  author:
    - family: Denton
      given: Peter
    - family: Parke
      given: Stephen
    - family: Tao
      given: Terence
    - family: Zhang
      given: Xining
  citation-key: DentonEigenvectors2022
  container-title: Bulletin of the American Mathematical Society
  container-title-short: Bull. Amer. Math. Soc.
  DOI: 10.1090/bull/1722
  ISSN: 0273-0979, 1088-9485
  issue: '1'
  issued:
    - year: 2022
      month: 1
  language: en
  page: 31-58
  title: >-
    Eigenvectors from eigenvalues: A survey of a basic identity in linear
    algebra
  type: article-journal
  URL: https://arxiv.org/abs/1908.03795
  volume: '59'

- id: DwyerApplications1967
  accessed:
    - year: 2014
      month: 4
      day: 20
  author:
    - family: Dwyer
      given: Paul S.
  citation-key: DwyerApplications1967
  container-title: Journal of the American Statistical Association
  DOI: 10.2307/2283988
  ISSN: '01621459'
  issue: '318'
  issued:
    - year: 1967
      month: 6
  page: '607'
  title: Some Applications of Matrix Derivatives in Multivariate Analysis
  type: article-journal
  volume: '62'

- id: GallierAlgebra2022
  author:
    - family: Gallier
      given: Jean
    - family: Quaintance
      given: Jocelyn
  citation-key: GallierAlgebra2022
  issued:
    - year: 2022
  language: en
  title: >-
    Algebra, Topology, Diﬀerential Calculus, and Optimization Theory For
    Computer Science and Machine Learning
  type: book
  URL: https://www.cis.upenn.edu/~jean/math-deep.pdf

- id: GilesCollected2008
  accessed:
    - year: 2016
      month: 7
      day: 3
  author:
    - family: Giles
      given: Mike B.
  citation-key: GilesCollected2008
  collection-editor:
    - family: Barth
      given: Timothy J.
    - family: Griebel
      given: Michael
    - family: Keyes
      given: David E.
    - family: Nieminen
      given: Risto M.
    - family: Roose
      given: Dirk
    - family: Schlick
      given: Tamar
  container-title: Advances in Automatic Differentiation
  editor:
    - family: Bischof
      given: Christian H.
    - family: Bücker
      given: H. Martin
    - family: Hovland
      given: Paul
    - family: Naumann
      given: Uwe
    - family: Utke
      given: Jean
  event-place: Berlin, Heidelberg
  ISBN: 978-3-540-68935-5 978-3-540-68942-3
  issued:
    - year: 2008
  page: 35-44
  publisher: Springer Berlin Heidelberg
  publisher-place: Berlin, Heidelberg
  title: >-
    Collected Matrix Derivative Results for Forward and Reverse Mode Algorithmic
    Differentiation
  type: chapter
  URL: http://eprints.maths.ox.ac.uk/1079/
  volume: '64'

- id: GilesExtended2008
  accessed:
    - year: 2017
      month: 11
      day: 8
  author:
    - family: Giles
      given: M.
  citation-key: GilesExtended2008
  container-title: http://eprints.maths.ox.ac.uk/1079
  issued:
    - year: 2008
      month: 1
  title: >-
    An extended collection of matrix derivative results for forward and reverse
    mode automatic differentiation
  type: article-journal
  URL: http://www2.maths.ox.ac.uk/~gilesm/files/NA-08-01.pdf

- id: GolubMatrices2010
  accessed:
    - year: 2023
      month: 4
      day: 26
  author:
    - family: Golub
      given: Gene H.
    - family: Meurant
      given: Gérard
  citation-key: GolubMatrices2010
  event-place: USA
  ISBN: 978-0-691-14341-5
  issued:
    - year: 2010
  publisher: Princeton University Press
  publisher-place: USA
  title: Matrices, Moments and Quadrature with Applications
  type: book
  URL: https://www.jstor.org/stable/j.ctt7tbvs

- id: GolubMatrix1983
  archive: Calibre
  author:
    - family: Golub
      given: Gene H.
    - family: Loan
      given: Charles F
      non-dropping-particle: van
  citation-key: GolubMatrix1983
  ISBN: 978-0-8018-5414-9
  issued:
    - year: 1983
      month: 12
      day: 1
  language: eng
  publisher: JHU Press
  title: Matrix Computations
  type: book

- id: GrahamKronecker1981
  archive: Calibre
  author:
    - family: Graham
      given: Alexander
  citation-key: GrahamKronecker1981
  ISBN: 978-0-85312-391-0
  issued:
    - year: 1981
      month: 3
      day: 15
  language: eng
  publisher: Horwood
  title: 'Kronecker Products and Matrix Calculus: With Applications'
  type: book

- id: HighamFunctions2008
  author:
    - family: Higham
      given: Nicholas J.
  call-number: QA188 .H53 2008
  citation-key: HighamFunctions2008
  DOI: 10.1137/1.9780898717778
  event-place: Philadelphia
  ISBN: 978-0-89871-646-7
  issued:
    - year: 2008
  number-of-pages: '425'
  publisher: Society for Industrial and Applied Mathematics
  publisher-place: Philadelphia
  title: 'Functions of matrices: theory and computation'
  type: book

- id: HoaglinHat1978
  accessed:
    - year: 2023
      month: 4
      day: 21
  author:
    - family: Hoaglin
      given: David C.
    - family: Welsch
      given: Roy E.
  citation-key: HoaglinHat1978
  container-title: The American Statistician
  DOI: 10.2307/2683469
  ISSN: 0003-1305
  issue: '1'
  issued:
    - year: 1978
  page: 17-22
  publisher: '[American Statistical Association, Taylor & Francis, Ltd.]'
  title: The Hat Matrix in Regression and ANOVA
  type: article-journal
  URL: >-
    https://edisciplinas.usp.br/pluginfile.php/6189100/mod_resource/content/1/The%20Hat%20Matrix%20and%20ANOVA.pdf
  volume: '32'

- id: LaueComputing2018
  accessed:
    - year: 2019
      month: 3
      day: 18
  author:
    - family: Laue
      given: Soeren
    - family: Mitterreiter
      given: Matthias
    - family: Giesen
      given: Joachim
  citation-key: LaueComputing2018
  container-title: Advances in Neural Information Processing Systems 31
  editor:
    - family: Bengio
      given: S.
    - family: Wallach
      given: H.
    - family: Larochelle
      given: H.
    - family: Grauman
      given: K.
    - family: Cesa-Bianchi
      given: N.
    - family: Garnett
      given: R.
  issued:
    - year: 2018
  page: 2750–2759
  publisher: Curran Associates, Inc.
  title: Computing Higher Order Derivatives of Matrix and Tensor Expressions
  type: paper-conference
  URL: >-
    http://papers.nips.cc/paper/7540-computing-higher-order-derivatives-of-matrix-and-tensor-expressions.pdf

- id: MagnusMatrix2019
  author:
    - family: Magnus
      given: Jan R.
    - family: Neudecker
      given: Heinz
  call-number: 512.943 4
  citation-key: MagnusMatrix2019
  collection-title: Wiley series in probability and statistics
  DOI: 10.1002/9781119541219
  edition: 3rd ed
  event-place: Hoboken (N.J.)
  ISBN: 978-1-119-54119-6 978-1-119-54121-9 978-1-119-54116-5
  issued:
    - year: 2019
  language: eng
  publisher: Wiley
  publisher-place: Hoboken (N.J.)
  title: >-
    Matrix differential calculus with applications in statistics and
    econometrics
  type: book

- id: MahoneyRandomized2010
  accessed:
    - year: 2016
      month: 6
      day: 20
  author:
    - family: Mahoney
      given: Michael W.
  citation-key: MahoneyRandomized2010
  DOI: 10.1561/2200000035
  issued:
    - year: 2010
  language: en
  title: Randomized Algorithms for Matrices and Data
  type: book
  URL: http://arxiv.org/abs/1104.5557
  volume: '3'

- id: MinkaOld2000
  archive: Calibre
  author:
    - family: Minka
      given: Thomas P.
  citation-key: MinkaOld2000
  issued:
    - year: 2000
  language: eng
  title: Old and new matrix algebra useful for statistics
  type: book
  URL: >-
    http://ce.sharif.edu/courses/93-94/1/ce717-2/resources/root/Review/minka-matrix.pdf

- id: ParlettQR2000
  accessed:
    - year: 2016
      month: 9
      day: 20
  author:
    - family: Parlett
      given: Beresford N.
  citation-key: ParlettQR2000
  container-title: Computing in Science & Engineering
  DOI: 10.1109/5992.814656
  ISSN: 1521-9615
  issue: '1'
  issued:
    - year: 2000
      month: 1
      day: 1
  page: 38-42
  title: The QR Algorithm
  type: article-journal
  volume: '2'

- id: PetersenMatrix2012
  accessed:
    - year: 2016
      month: 8
      day: 18
  author:
    - family: Petersen
      given: Kaare Brandt
    - family: Pedersen
      given: Michael Syskind
  citation-key: PetersenMatrix2012
  issued:
    - year: 2012
  title: The Matrix Cookbook
  type: report
  URL: http://www2.imm.dtu.dk/pubdb/views/publication_details.php?id=3274

- id: RellichPerturbation1954
  accessed:
    - year: 2023
      month: 11
      day: 26
  author:
    - family: Rellich
      given: F.
  call-number: '000035194'
  citation-key: RellichPerturbation1954
  contributor:
    - family: New York University
      given: Institute of Fine Arts Library
  issued:
    - year: 1954
  language: eng
  number-of-pages: '352'
  publisher: 'New York: Courant Institute of Mathematical Sciences, New York University'
  title: Perturbation theory of eigenvalue problems
  type: book
  URL: http://archive.org/details/perturbationtheo00rell

- id: SaadIterative2003
  author:
    - family: Saad
      given: Yousef
  citation-key: SaadIterative2003
  edition: 2nd
  ISBN: 978-0-89871-800-3
  issued:
    - year: 2003
      month: 1
      day: 1
  language: en
  number-of-pages: '538'
  publisher: SIAM
  title: 'Iterative Methods for Sparse Linear Systems: Second Edition'
  type: book
  URL: https://www-users.cse.umn.edu/~saad/IterMethBook_2ndEd.pdf

- id: SeberMatrix2007
  archive: Calibre
  author:
    - family: Seber
      given: George A. F.
  citation-key: SeberMatrix2007
  ISBN: 978-0-471-74869-4
  issued:
    - year: 2007
      month: 11
      day: 27
  language: eng
  publisher: Wiley
  title: A Matrix Handbook for Statisticians
  type: book

- id: SimonciniComputational2016
  accessed:
    - year: 2022
      month: 9
      day: 21
  author:
    - family: Simoncini
      given: V.
  citation-key: SimonciniComputational2016
  container-title: SIAM Review
  container-title-short: SIAM Rev.
  DOI: 10.1137/130912839
  ISSN: 0036-1445, 1095-7200
  issue: '3'
  issued:
    - year: 2016
      month: 1
  language: en
  page: 377-441
  publisher: Society for Industrial and Applied Mathematics
  title: Computational Methods for Linear Matrix Equations
  type: article-journal
  URL: https://cris.unibo.it/handle/11585/586011
  volume: '58'

- id: SteebProblems2006
  archive: Calibre
  author:
    - family: Steeb
      given: Willi-Hans
  citation-key: SteebProblems2006
  ISBN: 978-981-256-916-5
  issued:
    - year: 2006
      month: 3
      day: 15
  language: eng
  publisher: World Scientific
  title: Problems and Solutions in Introductory and Advanced Matrix Calculus
  type: book

- id: TurkingtonMatrix2002
  author:
    - family: Turkington
      given: Darrell A.
  call-number: QA188 .T865 2002
  citation-key: TurkingtonMatrix2002
  event-place: Cambridge ; New York
  ISBN: 978-0-521-80788-3
  issued:
    - year: 2002
  number-of-pages: '206'
  publisher: Cambridge University Press
  publisher-place: Cambridge ; New York
  title: >-
    Matrix calculus and zero-one matrices: statistical and econometric
    applications
  type: book
...
